<div class="container">
  <div class="map">
    <img src="<%= @base64_map %>">
  </div>

  <div class="information">
    <h1><%= t 'procedures.pdf_generator.title' %></h1>

    <h2><%= t 'procedures.pdf_generator.filters' %></h2>

    <%= render partial: 'shared/services/active_filters', locals: {
      active_filters: @active_filters
    } %>

    <h2 class="pt-4"><%= t 'procedures.pdf_generator.legend' %></h2>

    <p>
      <%= wicked_pdf_image_tag 'ESTADUAL_hf_icon.png' %> <%= t 'procedures.pdf_generator.state' %> <%= wicked_pdf_image_tag 'MUNICIPAL_hf_icon.png' %> <%= t 'procedures.pdf_generator.city' %> <%= wicked_pdf_image_tag 'OUTROS_hf_icon.png' %> <%= t 'procedures.pdf_generator.others' %>
    </p>

    <% if @heatmap_type.present? %>
      <h4 class="pt-4"><%= t "procedures.pdf_generator.#{@heatmap_type}_heatmap_legend" %></h4>
      <div id="heatmap-legend" class="row" style="display: flex;width: 270px">
        <div style="margin-right: 10px;padding-top: 5px">0</div>
        <div class="col-1" style="background-image: <%= @heatmap_gradient %>;height: 30px;flex: 2;"></div>
        <div style="margin-left: 10px;padding-top: 5px"><%= @heatmap_max %></div>
      </div>
    <% end %>

    <h2><%= t 'procedures.pdf_generator.source_title' %></h2>

    <p>
      <%= t 'procedures.pdf_generator.source_text' %><br>
      <%= t 'procedures.pdf_generator.source_url' %>
    </p>
  </div>
</div>
